## gkrellmwho2 0.2.7

=== Makefile ===
GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
GTK_LIB = `pkg-config gtk+-2.0 --libs`

INSTALLDIR = ${DESTDIR}/usr/lib/gkrellm2/plugins

FLAGS = -O2 -Wall -fPIC -fno-strict-aliasing $(GTK_INCLUDE)
LIBS = $(GTK_LIB)
LFLAGS = -shared

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = gkrellmwho2.o

gkrellmwho2.so: $(OBJS)
	$(CC) $(OBJS) -o gkrellmwho2.so $(LFLAGS) $(LIBS)

clean:
	rm -f *.o core *.so* *.bak *~ config.h

config.h:
	./configure

gkrellmwho2.o: gkrellmwho2.c config.h

# %.o: %.c

install: gkrellmwho2.so
	install -c -s -m 644 gkrellmwho2.so $(INSTALLDIR)

## gkrellmwho2 0.2.8

=== debian/changelog ===
gkrellmwho2 (0.2.8-1~afulinux1) unstable; urgency=low

  * New Upstream Version (Closes: #251785).
  * Removed homepage from description.
  * Removed gcc build dependency (Closes: #553476).
  * Updated FSF address in copyright file.
  * Corrected reference to GPL-2 license file.
  * Removed the ignoring of make clean errors.
  * Added misc:Depends due to debhelper usage.
  * Fixed typo in description field (Closes: #268510).
  * Updated to Standards-Version 3.9.1.
  * Updated to Debhelper compatibility level 8.
  * Updated copyright file.
  * Changed to source package format 3.0 (quilt).
  * Fixed formatting issues in the documentation.
  * Honor nostrip build option (Closes: #437040).

 -- Andreas Stempfhuber <andi@afulinux.de>  Mon, 19 Sep 2011 16:54:23 +0200

gkrellmwho2 (0.2.7-2) unstable; urgency=low

  * Fixed the link problem (closes #202215).

 -- Alexander Shishckin <shisha@shisha.spb.ru>  Mon, 21 Jul 2003 04:24:53 +0040

gkrellmwho2 (0.2.7-1) unstable; urgency=low

  * Initial release.

 -- Alexander Shishckin <shisha@shisha.spb.ru>  Sat, 12 Jul 2003 12:58:17 +0040

=== debian/control ===
Source: gkrellmwho2
Section: x11
Priority: optional
Maintainer: Andreas Stempfhuber <andi@afulinux.de>
Standards-Version: 3.9.1
Build-Depends: gkrellm (>= 2.0.0), libgtk2.0-dev, pkg-config, debhelper (>= 8.0.0)

Package: gkrellmwho2
Architecture: any
Depends: gkrellm (>= 2.0.0), ${shlibs:Depends}, ${misc:Depends}
Description: who plugin for gkrellm2
 This plugin displays currently logged users on the system except you.
 It also shows number of logins for each username, may show idle status
 and paint each username in its idle color.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/gkrellmwho2


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
